      program r_block_gmt
*------------------------------------------
*   read BLOCK + coord(lon,lat)
*   input file, unit=10 file='block'
*   input file, uinit=11, file='img' - data
*        integer*2 
*   input file, unit=12 file='bb.blk'
*               unit=13 file='ll.blk'
*        integer*2
*
*   output file, unit=14 'img.gmt'
*   output file, unit=15, file='img' - data
*        integer*2
*                  as_ Solovjev 07/2010
*------------------------------------------
      USE MSFLIB
      implicit none
	integer*1 ir
	integer i,j,ios, ir1
      real lat,lon,rr
      integer*2,allocatable:: dat(:,:)   !!! pixel,stroka
      integer*2,allocatable:: bb(:,:)
      integer*2,allocatable:: ll(:,:)

      integer st_stroka,st_pixel,ipix,istr
*--------------------------------------------

      open(unit=14,file='img.gmt')
        open(unit=15,form='BINARY',iostat=ios,file='imgB.dat')
      open(unit=11,status='OLD',form='BINARY',iostat=ios,file='img')

       read(unit=11,iostat=ios)st_stroka,st_pixel,ipix,istr
        write(*,*)st_stroka,st_pixel,ipix,istr

          allocate(dat(ipix,istr))
          allocate(bb(ipix,istr))
          allocate(ll(ipix,istr))

       read(unit=11,iostat=ios)dat

       open(unit=12,status='old',form='binary',iostat=ios,
     &  file='bb.blk')
       open(unit=13,status='old',form='binary',iostat=ios,
     &  file='ll.blk')

        read(unit=12,iostat=ios)bb
        read(unit=13,iostat=ios)ll

c      do i=1,ipix              !!! pixel
c       do j=1,istr             !!! stroka
       do j=1,istr             !!! stroka
       do i=1,ipix             !!! pixel 

         lon=real(ll(i,j))/10.
         lat=real(bb(i,j))/10.
         rr=real(dat(i,j))/10.
                if(lon.ne.-9999.and.lat.ne.-9999) then
c         write(14,*)lon,lat,rr	            
          ir1 =rr - 273.15
              if (ir1.eq.(-273)) then
	ir1 =128	
	        endif
         ir = ir1 - 128
       write(14,*)lon,lat,rr,ir
	print *, rr,ir1,ir
          write(15)ir 
    
        endif

       enddo
      enddo

       deallocate(dat,bb,ll)

        close(unit=11)
        close(unit=12)
        close(unit=13)
        close(unit=14)
        close(unit=15)
      end
